This service will be undergoing maintenance at 00:00 UTC, 2017-10-23 It is expected to last about 30 minutes
Bug 1280442 - python-taskw: remove dependency on python-ordereddict
python-taskw: remove dependency on python-ordereddict
Status: CLOSED ERRATA
Product: Fedora EPEL
Classification: Fedora
Component: python-taskw (Show other bugs)
epel7
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Ralph Bean
Fedora Extras Quality Assurance
:
Depends On:
Blocks: 1280439
  Show dependency treegraph
 
Reported: 2015-11-11 13:13 EST by Carl George
Modified: 2015-12-01 18:56 EST (History)
1 user (show)

See Also:
Fixed In Version: python-taskw-1.1.0-3.el7
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2015-12-01 18:56:47 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Carl George 2015-11-11 13:13:58 EST
Description of problem:

In EL7 OrderedDict can be found in the collections module in the standard library.  Please change this package's requirements to not require python-ordereddict package on EL7.

Version-Release number of selected component (if applicable):

1.1.0-1.el7

Suggested fix:

Change this:
> %if %{?rhel}%{!?rhel:0} >= 6
> BuildRequires:    python-ordereddict
> Requires:         python-ordereddict
> %endif
To this:
> %if 0%{?rhel} < 7
> BuildRequires:    python-ordereddict
> Requires:         python-ordereddict
> %endif
Comment 1 Carl George 2015-11-11 13:18:36 EST
Or even better:
> %if 0%{?rhel} && 0%{?rhel} < 7
> BuildRequires:    python-ordereddict
> Requires:         python-ordereddict
> %endif
Comment 2 Fedora Update System 2015-11-12 16:16:21 EST
python-taskw-1.1.0-3.el7 has been submitted as an update to Fedora EPEL 7. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2015-83cac1398c
Comment 3 Fedora Update System 2015-11-13 15:50:38 EST
python-taskw-1.1.0-3.el7 has been pushed to the Fedora EPEL 7 testing repository. If problems still persist, please make note of it in this bug report.
If you want to test the update, you can install it with
$ su -c 'yum --enablerepo=epel-testing update python-taskw'
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2015-83cac1398c
Comment 4 Fedora Update System 2015-12-01 18:56:43 EST
python-taskw-1.1.0-3.el7 has been pushed to the Fedora EPEL 7 stable repository. If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.